ImageMapRectAreaBean (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.beans.ImageMapRectAreaBean class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.beans
Class ImageMapRectAreaBean

    java.lang.Object
      org.hyperic.hq.ui.beans.ImageMapRectAreaBean

All Implemented Interfaces:
  java.io.Serializable

    public class ImageMapRectAreaBean

extends java.lang.Object
implements java.io.Serializable

Bean to hold <area> information for an image map.

See Also:
  Serialized Form

Constructor Summary
`ImageMapRectAreaBean()`
`ImageMapRectAreaBean(int x1, int y1, int x2, int y2, AppdefEntityID[] entityIds, int ctype, java.lang.String alt)`
`ImageMapRectAreaBean(int x1, int y1, int x2, int y2, AppdefEntityID[] entityIds, int ctype, java.lang.String alt, java.lang.String autogrouptype)`
`ImageMapRectAreaBean(int x1, int y1, int x2, int y2, AppdefEntityID[] entityIds, java.lang.String alt)`

Method Summary
`java.lang.String` | `getAlt()`
`java.lang.String` | `getAutogrouptype()`
`int` | `getCtype()`
`AppdefEntityID[]` | `getEntityIds()`
`boolean` | `getHasAutogrouptype()`
`boolean` | `getHasCtype()`
`int` | `getX1()`
`int` | `getX2()`
`int` | `getY1()`
`int` | `getY2()`
`void` | `setAlt(java.lang.String alt)`
`void` | `setAutogrouptype(java.lang.String i)`
`void` | `setCtype(int ctype)`
`void` | `setEntityIds(AppdefEntityID[] entityIds)`
`void` | `setX1(int x1)`
`void` | `setX2(int x2)`
`void` | `setY1(int y1)`
`void` | `setY2(int y2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageMapRectAreaBean

    public ImageMapRectAreaBean()

### ImageMapRectAreaBean

    public ImageMapRectAreaBean(int x1,
                                int y1,
                                int x2,
                                int y2,
                                AppdefEntityID[] entityIds,
                                java.lang.String alt)

### ImageMapRectAreaBean

    public ImageMapRectAreaBean(int x1,
                                int y1,
                                int x2,
                                int y2,
                                AppdefEntityID[] entityIds,
                                int ctype,
                                java.lang.String alt)

### ImageMapRectAreaBean

    public ImageMapRectAreaBean(int x1,
                                int y1,
                                int x2,
                                int y2,
                                AppdefEntityID[] entityIds,
                                int ctype,
                                java.lang.String alt,
                                java.lang.String autogrouptype)

Method Detail

### getX1

    public int getX1()

### setX1

    public void setX1(int x1)

### getY1

    public int getY1()

### setY1

    public void setY1(int y1)

### getX2

    public int getX2()

### setX2

    public void setX2(int x2)

### getY2

    public int getY2()

### setY2

    public void setY2(int y2)

### getEntityIds

    public AppdefEntityID[] getEntityIds()

### setEntityIds

    public void setEntityIds(AppdefEntityID[] entityIds)

### getCtype

    public int getCtype()

### setCtype

    public void setCtype(int ctype)

### getHasCtype

    public boolean getHasCtype()

### getAlt

    public java.lang.String getAlt()

### setAlt

    public void setAlt(java.lang.String alt)

### getAutogrouptype

    public java.lang.String getAutogrouptype()

### setAutogrouptype

    public void setAutogrouptype(java.lang.String i)

### getHasAutogrouptype

    public boolean getHasAutogrouptype()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.